from redbot.core import Config

config: Config = Config.get_conf(None, identifier=457581387213637448123567, cog_name="Pterodactyl")

def register_config(config_obj: Config) -> None:
    config_obj.register_global(
        base_url=None,
        api_key=None,
        server_id=None,
        console_channel=None,
        startup_jar=None,
        startup_arguments=None,
        power_action_in_progress=False,
        chat_regex=r"\[(\d{2}:\d{2}:\d{2})\sINFO\]:\s<(\w+)>\s(.*)",
        server_regex=r"^\[\d{2}:\d{2}:\d{2} INFO\]: \[Not Secure\] \[.*\] (.*)",
        chat_command='tellraw @a ["",{"text":".$U ","color":".$C"},{"text":" (DISCORD): ","color":"blue"},{"text":".$M","color":"white"}]',
        api_endpoint="minecraft",
        chat_channel=None
    )
